{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function send_message, msg\r\n$insert msg_equates\r\n\r\nCurrPos = @CtrlEntId->selpos\r\nCurrCol = CurrPos<1>\r\nCurrRow = CurrPos<2>\r\n\r\nIF RowData<1,4> NE '' THEN\r\n\t* Row is signed\r\n\tVoid = Send_Message( CtrlEntId, 'INSERT', RowNum, RowData )\r\n\tCurrRow = CurrRow - 1\r\n\t@CtrlEntId->selpos = CurrCol:@FM:CurrRow\r\n\tRETURN 0\t\r\nEND\r\n\r\nMsgInfo = ''\r\nMsgInfo<mtext$> = 'Do you wish to delete this cleaning entry?'\r\nMsgInfo<mtype$> = 'BNY'\r\nResp = msg( '', MsgInfo )\r\nif not(Resp) then\r\n   Void = send_message( CtrlEntId, 'INSERT', RowNum, RowData )\r\n   SelPos = @CtrlEntId->selpos\r\n   SelPos<2> = SelPos<2> -1\r\n   @CtrlEntId->selpos = SelPos\r\nend\r\nRETURN 0\r\n\r\n\r\n/*\r\ndeclare function send_message, msg\r\n$insert msg_equates\r\n\r\nMsgInfo = ''\r\nMsgInfo<mtext$> = 'Do you wish to delete this cleaning entry?'\r\nMsgInfo<mtype$> = 'BNY'\r\nResp = msg( '', MsgInfo )\r\nif not(Resp) then\r\n   Void = send_message( CtrlEntId, 'INSERT', RowNum, RowData )\r\n   SelPos = @CtrlEntId->selpos\r\n   SelPos<2> = SelPos<2> -1\r\n   @CtrlEntId->selpos = SelPos\r\nend\r\nRETURN 0\r\n*/"
        }
    }
}